API server
https://app.coolify.io/api/v1Get proxy settings for a server owned by the authenticated team. The raw proxy configuration is only returned when the token has read:sensitive (or root) and the user is a team admin/owner, and only when already stored in the database (no remote fetch).
Authorization
bearerAuth Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
Server UUID
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://app.coolify.io/api/v1/servers/string/proxy"{ "proxy_type": "TRAEFIK", "status": "running", "redirect_enabled": true, "redirect_url": "https://example.com", "generate_exact_labels": false, "configuration": "string"}{ "message": "Invalid token."}{ "message": "Unauthenticated."}{ "message": "Resource not found."}Get log drain settings GET
Get log drain settings for a server owned by the authenticated team. Sensitive fields require the read:sensitive or root token ability.
Get Sentinel settings GET
Get Sentinel settings for a server owned by the authenticated team. sentinel_token and sentinel_custom_url require the read:sensitive or root token ability.
